#!/usr/bin/perl
BEGIN {
    unshift(@INC,'.');
}
use strict;
use POSIX qw(strftime);
use Time::Local;
use WWW::Search; 

my @variants = qw(Belarusian   Belarussian
                  Belorusian   Belorussian
                  Bielarusian  Bielarussian
                  Bielorusian  Bielorussian
                  Byelarusian  Byelarussian
                  Byelorusian  Byelorussian
                  Belarusan);

my @engines = qw(AltaVista Google Yahoo );

my %filenames = (  'Yahoo'		=>	'yahoo.dat' ,
				'Google'	=>	'google.dat' ,
				'AltaVista'	=>	'altavista.dat' 
			 );

foreach my $engine (@engines) 
{
    open (OUT, '>>'.$filenames{$engine}) || 
        die "Couldn't open the file for writing: $!\n";
    
    # Start writing the Search Engine session
    print OUT strftime ("%d/%m/%Y %H:%M", localtime());
    foreach my $variant (@variants) 
    {
        my $Search = new WWW::Search($engine);  # Create the Engine Object 
        # once for each Search engine
        #$Search->http_proxy("http://proxy.telenet.be:8080/");        

        my $Query =WWW::Search::escape_query($variant);
        $Search->native_query($Query); 
        
        my $freq = $Search->approximate_result_count;
        $freq ||= 0; # Set $freq to 0 if it's undefined
        $freq =~ s/\,//g;
        
        print OUT "\t$freq";
        # print     "\t$engine $variant $freq";
    }
    print OUT "\n";
    
    # Close the session
    close OUT ||
        die "FOUT didn't close: $!";
}
